cURL
curl \
--request GET \
--url "https://api.breeze.blue/v1/history/hist_01haudio/audio" \
--header "xi-api-key: $BREEZE_API_KEY"from pathlib import Path
from breeze_blue import save
import os
from breeze_blue import BreezeBlue
client = BreezeBlue(api_key=os.environ["BREEZE_API_KEY"])
audio = client.history.download_audio("hist_01haudio")
save(audio, Path("history.mp3"))import { save } from "@breeze.blue/sdk/node";
import { BreezeBlueClient } from "@breeze.blue/sdk";
const client = new BreezeBlueClient({
apiKey: process.env.BREEZE_API_KEY!,
});
const audio = await client.history.downloadAudio("hist_01haudio");
await save(audio, "history.mp3");"<string>"{
"code": "<string>",
"detail": "<string>",
"error": "<string>",
"ok": false,
"meta": {}
}{
"code": "<string>",
"detail": "<string>",
"error": "<string>",
"ok": false,
"meta": {}
}{
"code": "<string>",
"detail": "<string>",
"error": "<string>",
"ok": false,
"meta": {}
}{
"code": "<string>",
"detail": "<string>",
"error": "<string>",
"ok": false,
"meta": {}
}History
Download history audio
Download the audio for a completed history item.
GET
/
v1
/
history
/
{history_item_id}
/
audio
cURL
curl \
--request GET \
--url "https://api.breeze.blue/v1/history/hist_01haudio/audio" \
--header "xi-api-key: $BREEZE_API_KEY"from pathlib import Path
from breeze_blue import save
import os
from breeze_blue import BreezeBlue
client = BreezeBlue(api_key=os.environ["BREEZE_API_KEY"])
audio = client.history.download_audio("hist_01haudio")
save(audio, Path("history.mp3"))import { save } from "@breeze.blue/sdk/node";
import { BreezeBlueClient } from "@breeze.blue/sdk";
const client = new BreezeBlueClient({
apiKey: process.env.BREEZE_API_KEY!,
});
const audio = await client.history.downloadAudio("hist_01haudio");
await save(audio, "history.mp3");"<string>"{
"code": "<string>",
"detail": "<string>",
"error": "<string>",
"ok": false,
"meta": {}
}{
"code": "<string>",
"detail": "<string>",
"error": "<string>",
"ok": false,
"meta": {}
}{
"code": "<string>",
"detail": "<string>",
"error": "<string>",
"ok": false,
"meta": {}
}{
"code": "<string>",
"detail": "<string>",
"error": "<string>",
"ok": false,
"meta": {}
}Continue building
Get a history item
Read the audio metadata and generation details.
List history items
Find other generated audio.
Managing history
Find, download, and remove past generations.
Authorizations
Breeze Developer API key.
Path Parameters
History item identifier returned by generation responses or GET /v1/history. See Listing history.
Response
Binary audio download.
The response is of type file.

